Bug 450480 - ejabberd upgrade to 2.0 causes ejabberd to not start
ejabberd upgrade to 2.0 causes ejabberd to not start
Status: CLOSED CANTFIX
Product: Fedora EPEL
Classification: Fedora
Component: ejabberd (Show other bugs)
el5
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-08 20:38 EDT by Phil Anderson
Modified: 2008-07-02 06:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-02 06:06:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Anderson 2008-06-08 20:38:11 EDT
The EPEL ejabberd version has recently been updated to 2.0 from 1.1.  This broke
both my installations, and they wouldn't start again till some love and
attention to the config file (which is significantly different).

http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies says that major updates
like this "should be avoided if possible at all."

Probably too late now to do anything, so I'm not sure why I really filled this
bug, but updates in EPEL should be less aggressive than fedora packages, as
described in the policy link above.

Was there some special reason for this update?
Comment 1 Peter Lemenkov 2008-06-10 08:06:43 EDT
> should be avoided if possible at all.

Should be, yes. But ejabberd 1.* lacks many necessary features (among them
file-proxy, in-band registration limitation, traffic shapers for gateways,
limitations on number of MUC--rooms user can join and so on).

I really sorry for your troubles, but IMHO updating to latest ejabberd worths
these efforts.
Comment 2 Phil Anderson 2008-07-02 06:06:33 EDT
I disagree.  The policy makes no allowances for features being so important that
it is GUARANTEED to break all installations.

There are lots of packages which have new versions out there with very useful
new features that people would like, but aren't updated in CentOS or EPEL so as
not to break installations.

Maybe there should be (or maybe there is?) an alternative repository for things
like this.

Anyway, no point keeping this bug open.

Note You need to log in before you can comment on or make changes to this bug.